deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aruba Staff (JIRA)" <>
Subject [jira] [Created] (DTACLOUD-332) Aruba provider supported_collections error
Date Wed, 03 Oct 2012 10:30:07 GMT
Aruba Staff created DTACLOUD-332:

             Summary: Aruba provider supported_collections error
                 Key: DTACLOUD-332
             Project: DeltaCloud
          Issue Type: Bug
          Components: Server
            Reporter: Aruba Staff
         Attachments: 0001-Aruba-Removed-supported_collections-method.patch

Since commit 7019a6b5bd3934708a764efea79833085a6c644f (
requesting /api using the aruba driver throws an error:

ArgumentError - wrong number of arguments (1 for 0):
	/tmp/deltacloud/server/lib/deltacloud/drivers/aruba/aruba_driver.rb:200:in `supported_collections'
	/tmp/deltacloud/server/lib/deltacloud/server.rb:52:in `block in <class:API>'
[...] - - [03/Oct/2012 12:18:16] "GET /api HTTP/1.1" 500 182312 2.2824

This is because the supported_collections method in aruba driver has not been updated. Indeed,
the method is not required anymore.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see:

View raw message